image: node:lts

pages:
  stage: deploy
  script:
  - apt-get update -y && apt install -y pngquant
  - node scripts/build.js
  - find ./public/icons -type f -iname "*.png" -exec pngquant --quality 99 --strip --speed 1 {} --output {} --force \;
  artifacts:
    paths:
    - public
  only:
  - master
